Skip to main content

Get branch by id (deprecated)

Business listing (2.0)

2GIS API Support: api@2gis.ru URL: https://docs.2gis.com

Getting a profile of a company branch Deprecated

Method support discontinued. To obtain information on ID, use 3.0/items/byid method.

query Parameters
key
required
string

A unique key of API user.

id
required
string
Example: id=1234567890_07dd2164eb829f6d7532f9a9b56d3ffd30

The ID of the company branch.

May also contain a unique hash in id_hash format. It is required for generating statistics.

Several identifiers can also be passed, comma-separated, but no more than 100.

fields
Array of strings

Additional fields to be displayed in the response should be separated by commas.

List of available fields:

  • items.alias is the alias name of the organization;
  • items.region_id — unique identifier of the project;
  • items.segment_id — unique identifier of the segment;
  • items.org — describes the properties of the organization;
  • items.point — the coordinates of the search points defined in the WGS84 coordinate system in the format lon, lat;
  • items.adm_div` — belonging to an administrative territory;
  • items.dates — the time of making of information on the location in the database;
  • items.see_also — list of «see also»;
  • items.flags — a list of object attributes;
  • items.locale — the current locale for the region;
  • items.address — address which is a branch of the organization;
  • items.full_address_name — the same as address_name, but with the city;
  • items.schedule — schedule of work of the branch;
  • items.reviews — statistics on branch reviews;
  • items.ads — advertising materials of this branch;
  • items.ads.options — advertising options;
  • items.links — linked objects (nearest parking, public transport stops, and more);
  • items.dates.updated_at — the date when the company data was last updated in the ISO 8601 format;
  • items.dates.deleted_at — the date when the company data was last deleted in the ISO 8601 format;
  • items.dates.created_at — date when the organization was opened in ISO 8601 format;
  • items.is_routing_available — a flag showing whether it is possible to create a route to the object;
  • items.stop_factors — a set of locking attributes corresponding to the query;
  • items.email_for_sending.allowed — permission to send a letter to the company;
  • items.employees_org_count — the number of employees in the organization. This field is only available in the commercial API;
  • items.itin — the individual number of the taxpayer. Field is available only in commercial API;
  • items.trade_license — the license of the branch. Field is available only in commercial API;
  • items.group — objects gathered in one linked card;
  • items.stat — data to generate message statistics;
  • hash — underlying hash;
  • items.description — description of the organization;
  • items.geometry.selection — geometry for object selection;
  • items.geometry.hover — geometry of the area used to determine whether the cursor is in the object zone;
  • items.geometry.style — style ID for display;
  • items.geometry.centroid — visual center of object geometry;
  • items.timezone — time zone object in the POSIX format;
  • items.timezone_offset — the offset the offset at the minute regarding UTC0;
  • items.sources — a data source about the organization;
  • items.is_main_in_group — a sign that it is the main object in the object group of hybrid;
  • items.city_alias — alias of the city, where the object is located;
  • items.has_discount — there are discounts;
  • items.poi_category — POI category;
  • search_attributes — information about the performed search.

Responses

Response Schema:
required
object

Response metadata.

required
object

Main result

Response samples

Content type
{
  • "meta": {
    • "api_version": "dev",
    • "code": 0,
    • "issue_date": "string"
    },
  • "result": {
    • "items": [
      ],
    • "total": 1
    }
}